Bouncy Castle Cryptography Library 1.85

org.bouncycastle.asn1.est
Class OtpChallenge

java.lang.Object
  extended byorg.bouncycastle.asn1.ASN1Object
      extended byorg.bouncycastle.asn1.est.CSRChallengeAttribute
          extended byorg.bouncycastle.asn1.est.OtpChallenge
All Implemented Interfaces:
org.bouncycastle.asn1.ASN1Encodable, org.bouncycastle.util.Encodable

public class OtpChallenge
extends org.bouncycastle.asn1.est.CSRChallengeAttribute

RFC 7894 ยง3.1 attribute: a one-time password value conveyed as part of a CSR request. The companion OTP generation and verification mechanisms (e.g. RFC 4226 HOTP, RFC 6238 TOTP) are out of scope. otpChallenge ATTRIBUTE ::= { WITH SYNTAX DirectoryString {ub-aa-otpChallenge} EQUALITY MATCHING RULE caseExactMatch SINGLE VALUE TRUE ID id-aa-otpChallenge } ub-aa-otpChallenge INTEGER ::= 255 Identified by PKCSObjectIdentifiers.id_aa_otpChallenge.


Constructor Summary
OtpChallenge(org.bouncycastle.asn1.x500.DirectoryString value)
           
OtpChallenge(java.lang.String value)
           
 
Method Summary
static OtpChallenge fromAttribute(org.bouncycastle.asn1.pkcs.Attribute attribute)
          Extract the value carried by a PKCS#9 Attribute.
protected  org.bouncycastle.asn1.ASN1ObjectIdentifier getAttrType()
          The attribute-type OID for this RFC 7894 attribute.
static OtpChallenge getInstance(java.lang.Object obj)
           
 java.lang.String getString()
          Return the value as a Java String, decoded from whichever underlying encoding was used.
 org.bouncycastle.asn1.x500.DirectoryString getValue()
          Return the value as a DirectoryString.
 org.bouncycastle.asn1.ASN1Primitive toASN1Primitive()
           
 org.bouncycastle.asn1.pkcs.Attribute toAttribute()
          Wrap this value in a PKCS#9 Attribute carrying the RFC 7894 OID, ready for inclusion in a 's set (or in a CSR-Attributes response).
 
Methods inherited from class org.bouncycastle.asn1.ASN1Object
encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode
 
Methods inherited from class java.lang.Object
clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

OtpChallenge

public OtpChallenge(java.lang.String value)

OtpChallenge

public OtpChallenge(org.bouncycastle.asn1.x500.DirectoryString value)
Method Detail

getInstance

public static OtpChallenge getInstance(java.lang.Object obj)

fromAttribute

public static OtpChallenge fromAttribute(org.bouncycastle.asn1.pkcs.Attribute attribute)
Extract the value carried by a PKCS#9 Attribute.

Throws:
java.lang.IllegalArgumentException - if the attribute is not PKCSObjectIdentifiers.id_aa_otpChallenge or does not carry exactly one value.

getAttrType

protected org.bouncycastle.asn1.ASN1ObjectIdentifier getAttrType()
Description copied from class: org.bouncycastle.asn1.est.CSRChallengeAttribute
The attribute-type OID for this RFC 7894 attribute. Used by CSRChallengeAttribute.toAttribute() to wrap the value in a PKCS#9 Attribute.


getValue

public org.bouncycastle.asn1.x500.DirectoryString getValue()
Return the value as a DirectoryString.


getString

public java.lang.String getString()
Return the value as a Java String, decoded from whichever underlying encoding was used.


toAttribute

public org.bouncycastle.asn1.pkcs.Attribute toAttribute()
Wrap this value in a PKCS#9 Attribute carrying the RFC 7894 OID, ready for inclusion in a 's set (or in a CSR-Attributes response).

Returns:
an of the form )}.

toASN1Primitive

public org.bouncycastle.asn1.ASN1Primitive toASN1Primitive()

Bouncy Castle Cryptography Library 1.85